Subject: Re: [PATCH net] net: vertexcom: mse102x: Fix possible double free of TX skb

From: Jakub Kicinski <[email-masked]>
Date: Tue, 29 Oct 2024 17:36:15 -0700

On Wed, 30 Oct 2024 00:06:46 +0100 Stefan Wahren wrote:
> > Exactly, I think it would work and it feels simpler.  
> I didn't test it yet, i need access to evaluation board before. But this
> change will behave differently regarding stats of tx_bytes [1]. The
> first version will include the padding, while the second does not.

Good point! But I think we'd be moving in the right direction.
tx_bytes should count bytes sent to the network, not data+metadata
sent on an internal bus.

If you connect this board to a different controller directly the
rx_bytes of the other end should match the tx_bytes of the board 
with mse102x. The byte accounting would benefit from further massaging
in a separate patch.